aboutsummaryrefslogtreecommitdiffstats
path: root/community/py3-notify2/test-wrapper.sh
diff options
context:
space:
mode:
Diffstat (limited to 'community/py3-notify2/test-wrapper.sh')
-rw-r--r--community/py3-notify2/test-wrapper.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/community/py3-notify2/test-wrapper.sh b/community/py3-notify2/test-wrapper.sh
new file mode 100644
index 00000000000..b4763bc0e84
--- /dev/null
+++ b/community/py3-notify2/test-wrapper.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+# Copyright 2020 Antoine Fontaine
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+# tiny wrapper that starts a notification dæmon (dunst)
+# for the testsuite to talk to
+
+dunst >/dev/null 2>&1 &
+dunst_pid=$!
+
+python3 test_notify2.py
+success=$?
+
+kill $dunst_pid
+
+exit $success